--- title: "GetGroupList" slug: "management-resourcemanager-getgrouplist" tags: ["Resource Manager"] updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-resourcemanager-getgrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetGroupList Available in Classic and VPC Get the list of resource groups. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/groups | ### Request headers For information about the headers common to all Resource Manager APIs, see [Common Resource Manager headers](/docs/en/management-resourcemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `groupName` | String | Optional | Resource group name | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-100 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://resourcemanager.apigw.ntruss.com/api/v1/groups' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | - | Page number | | `size` | Integer | - | Page output count | | `itemCount` | Integer | - | Number of response results | | `hasMore` | Boolean | - | Whether additional pages exist - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | Response result: [items](/docs/en/management-resourcemanager-getgrouplist#items) | ### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `groupId` | String | - | Resource group ID | | `groupName` | String | - | Resource group name | | `groupDesc` | String | - | Resource group description | | `createTime` | Integer | - | Resource group creation date and time | | `updateTime` | Integer | - | Resource group last modification date and time | ### Response status codes For information about the HTTP status codes common to all Resource Manager APIs, see [Resource Manager response status codes](/docs/en/management-resourcemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "size": 20, "itemCount": 2, "hasMore": false, "items": [ { "groupId": "821ad7869d494b298aa9a13b", "groupName": "testgroup_01", "groupDesc": "test", "createTime": 1727441443000, "updateTime": 1727441443000 }, { "groupId": "64f077df093f6a0838604299", "groupName": "testgroup_02", "groupDesc": "", "createTime": 1693480928000, "updateTime": 1693480928000 } ] } ```